Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Nov 2019 18:21:31 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 04 Nov 2019 14:39:25 +0100
> 
> > I hope I fixed this now, please try the latest master.
> 
> I've now updated and, the above bug is now fixed; thanks.

Thanks, I'm closing this bug.

> However, there seems to be some unintended fallout:
> 
> 0. emacs -Q
> 1. M-: (setq read-buffer-completion-ignore-case t read-file-name-completion-ignore-case t)
> 2. M-x cd RET RET => args-out-of-range error (backtrace attached)

This is bug#38056, which I just fixed.  It was caused by a thinko on
my part.